Bug 438456 - [RHEL5] certain nscd configuration causes trap divide errors
[RHEL5] certain nscd configuration causes trap divide errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jakub Jelinek
Brian Brock
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 23:35 EDT by Andrew Ryan
Modified: 2016-11-24 10:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:50:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch (637 bytes, patch)
2008-03-20 23:35 EDT, David Robinson
no flags Details | Diff

  None (edit)
Description David Robinson 2008-03-20 23:35:18 EDT
Description of problem:
certain nscd configuration causes trap divide errors (a gethostbyname call
triggers it).

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 5.1 (Tikanga)
nscd-2.5-18.el5_1.1

How reproducible:
100%

Steps to Reproduce:
# diff -u /etc/nscd.conf.orig /etc/nscd.conf
--- /etc/nscd.conf.orig 2008-03-20 11:38:35.000000000 +1000
+++ /etc/nscd.conf      2008-03-20 12:12:06.000000000 +1000
@@ -63,8 +63,8 @@
       enable-cache            hosts           yes
       positive-time-to-live   hosts           3600
       negative-time-to-live   hosts           20
-       suggested-size          hosts           211
+#      suggested-size          hosts           211
       check-files             hosts           yes
-       persistent              hosts           yes
+       persistent              hosts           no
       shared                  hosts           yes
       max-db-size             hosts           33554432
# service nscd start
# ping something

Actual results:
# ping bob
Floating point exception (core dumped)
# tail -1 /var/log/messages
Mar 20 12:22:36 el5 kernel: ping[1065] trap divide error rip:2aaaaafda40a
rsp:7ffffe836cb0 error:0

Expected results:
# ping bob
PING bob.bne.redhat.com (10.64.10.2) 56(84) bytes of data.
64 bytes from bob.bne.redhat.com (10.64.10.2): icmp_seq=0 ttl=60 time=402 ms

Additional info:
Fixed by this upstream commit:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nscd/nscd_helper.c.diff?r1=1.31&r2=1.32&cvsroot=glibc
Backported fix for RHEL 5 is attached.
Comment 1 David Robinson 2008-03-20 23:35:18 EDT
Created attachment 298765 [details]
backported patch
Comment 2 RHEL Product and Program Management 2008-06-02 16:12:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 15:50:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0080.html
Comment 11 john.haxby@oracle.com 2009-10-06 11:06:30 EDT
See also bug 436515

Note You need to log in before you can comment on or make changes to this bug.